from wtforms.form import Form
from wtforms.fields import StringField, PasswordField, EmailField
from wtforms import validators
from paramecio2.libraries.i18n import I18n, PGetText

gtext=PGetText(__file__)

_=gtext.gettext

class RegisterForm(Form):
    
    username=StringField('Username',  [validators.InputRequired()])
    password=PasswordField('Password', [validators.InputRequired(), validators.EqualTo('confirm', message='Passwords must match')])
    confirm=PasswordField('Repeat Password')
    email=EmailField('Email', [validators.InputRequired()])
    
class UserForm(Form):
    
    username=StringField('Username',  [validators.InputRequired()])
    password=PasswordField('Password', [validators.InputRequired()])
